

%define rel 1

%define libkerfuffle_major 16
%define libkerfuffle %mklibname kerfuffle %{libkerfuffle_major}
%define ark_devel %mklibname ark -d

Name:       ark
Summary:    Program for managing various archive formats within the KDE environment
Version:    16.04.2
Release:    %mkrel %{rel}
Group:      Graphical desktop/KDE5
License:    GPLv2 and LGPLv2 and GPLD
URL:        http://www.kde.org/applications/utilities/ark/
Source0:    http://download.kde.org/stable/%{version}/src/%name-%version.tar.xz
Source1:	ark_addtoservicemenu.desktop

#general buildrequires
#------------------------------------------------------
BuildRequires: %{_lib}qt5base5-devel
BuildRequires: %{_lib}qt5core-devel
BuildRequires: %{_lib}qt5dbus-devel
BuildRequires: %{_lib}qt5gui-devel
BuildRequires: %{_lib}qt5help-devel
BuildRequires: %{_lib}qt5imageformats-devel
BuildRequires: %{_lib}qt5network-devel
BuildRequires: %{_lib}qt5qml-devel
BuildRequires: %{_lib}qt5quick-devel
BuildRequires: %{_lib}qt5bluetooth-devel
BuildRequires: %{_lib}qt5bootstrap-devel
BuildRequires: %{_lib}qt5clucene-devel
BuildRequires: %{_lib}qt5concurrent-devel
BuildRequires: %{_lib}qt5designer-devel
BuildRequires: %{_lib}qt5egldeviceintegration-devel
BuildRequires: %{_lib}qt5labstemplates-devel
BuildRequires: %{_lib}qt5location-devel
BuildRequires: %{_lib}qt5multimedia-devel
BuildRequires: %{_lib}qt5multimediaquick_p-devel
BuildRequires: %{_lib}qt5multimediawidgets-devel
BuildRequires: %{_lib}qt5nfc-devel
BuildRequires: %{_lib}qt5opengl-devel
BuildRequires: %{_lib}qt5platformsupport-devel
BuildRequires: %{_lib}qt5positioning-devel
BuildRequires: %{_lib}qt5printsupport-devel
BuildRequires: %{_lib}qt5qgsttools_p-devel
BuildRequires: %{_lib}qt5quickparticles-devel
BuildRequires: %{_lib}qt5quicktest-devel
BuildRequires: %{_lib}qt5quickwidgets-devel
BuildRequires: %{_lib}qt5script-devel
BuildRequires: %{_lib}qt5scripttools-devel
BuildRequires: %{_lib}qt5sensors-devel
BuildRequires: %{_lib}qt5serialport-devel
BuildRequires: %{_lib}qt5sql-devel
BuildRequires: %{_lib}qt5svg-devel
BuildRequires: %{_lib}qt5test-devel
BuildRequires: %{_lib}qt5widgets-devel
BuildRequires: %{_lib}qt5waylandclient-devel
BuildRequires: %{_lib}qt5webchannel-devel
BuildRequires:  cmake
BuildRequires:  kf5-macros
#------------------------------------------------------

BuildRequires:   zlib1-devel
BuildRequires:   %{_lib}bzip2-devel
BuildRequires:   %{_lib}archive-devel
BuildRequires:   %{_lib}qjson-devel
BuildRequires:   %{_lib}gmp-devel
  
BuildRequires: karchive-devel
BuildRequires: kconfig-devel
BuildRequires: kcrash-devel
BuildRequires: kdbusaddons-devel
BuildRequires: kdoctools-devel
BuildRequires: ki18n-devel
BuildRequires: kiconthemes-devel 
BuildRequires: khtml-devel
BuildRequires: kio-devel
BuildRequires: kservice-devel
BuildRequires: kpty-devel
BuildRequires: kwidgetsaddons-devel

BuildRequires:  libxml2-utils
BuildRequires:  docbook-dtds
BuildRequires:  docbook-style-xsl


%description
Graphical file compression/decompression utility with support for multiple
formats

%files
%_sysconfdir/xdg/ark.categories
%_kf5_bindir/ark
%_qt5_plugindir/*.so
%_kf5_plugindir/kio_dnd/*.so
%_kf5_datadir/appdata/org.kde.ark.appdata.xml
%_kf5_datadir/applications/org.kde.ark.desktop
%_kf5_datadir/config.kcfg/ark.kcfg
%_kf5_datadir/icons/*/*/*/*
%_kf5_datadir/kservices5/ServiceMenus/*.desktop
%_kf5_datadir/kservices5/ark_part.desktop
%_kf5_datadir/kservices5/*.desktop
%_kf5_datadir/kservicetypes5/kerfufflePlugin.desktop
%_kf5_datadir/kxmlgui5/ark
#%_kf5_datadir/mime/packages/kerfuffle.xml
#------------------------------------------------------------------------------
%_kf5_libdir/libkerfuffle.so.%{libkerfuffle_major}*
#------------------------------------------------------------------------------
%{_libdir}/qt5/plugins/kerfuffle/*


%package -n ark-handbook
Summary: Ark Handbook
BuildArch: noarch
Group: Documentation

%description -n ark-handbook
This package provides ark handbook.

%files -n ark-handbook
%docdir %_kf5_docdir
%_kf5_docdir/HTML/en/ark/
%_kf5_mandir/man1/ark.1.*
#------------------------------------------------------------------------------

%package -n %ark_devel
Summary: Devel stuff for %{name}
Group: Development/Libraries
Requires: %name = %version-%release
Provides: ark-devel

%description -n %ark_devel
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %ark_devel

#------------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
export LD=/usr/bin/ld.gold
%cmake_kf5
%make

%install
rm -rf %buildroot
%makeinstall_std -C build

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-Archiving-Compression" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop

#add support for tar.xz
install -m 0644 %SOURCE1 %buildroot/%_kf5_datadir/kservices5/ServiceMenus

%posttrans
%update_mime_database

%changelog
* Tue Jun 14 2016 bb <bb> 16.04.2-1pclos2016
- update

